import request from '@/utils/request'

// 查询电柜列表
export function listLoto(query) {
  return request({
    url: '/iscs/station/getIsLotoStationPage',
    method: 'get',
    params: query
  })
}
// 解绑的数据集合
export function unbundlePointPage(data) {
  return request({
    url: '/iscs/station/updatePointsBindingLoto',
    method: 'post',
    data: data
  })
}

// 查询电柜详细
export function getLotoInfo(deptId) {
  return request({
    url: '/iscs/station/selectIsLotoStationById?lotoId=' + deptId,
    method: 'get'
  })
}
// 查询电柜地图转换数据
export function getLotoMapInfo(deptId) {
  return request({
    url: '/iscs/station/selectLotoMapById?lotoId=' + deptId,
    method: 'get'
  })
}

// 新增电柜
export function addLoto(data) {
  return request({
    url: '/iscs/station/insertIsLotoStation',
    method: 'post',
    data: data
  })
}

// 修改电柜
export function updateLoto(data) {
  return request({
    url: '/iscs/station/updateIsLotoStation',
    method: 'post',
    data: data
  })
}

// 删除电柜
export function delLoto(deptId) {
  return request({
    url: '/iscs/station/deleteIsLotoStationByLotoIds?lotoIds=' + deptId,
    method: 'post'
  })
}
